# symptomen.py
#
#

""" symptomen van vergiftiging """

## IMPORTS

from rechter.clock import Repeater
from rechter.object import Object
from rechter.utils.parse import parse
from rechter.main import main

import random

## CMNDS

def symptomen(event): event.reply(txt)

main.register("symptomen", symptomen)

def symptoom(*args, **kwargs):
    if args: event = args[0] ; nr = int(event.parsed.args[0]) ; nr
    else: nr = random.choice(range(1, 44))
    txt = splitted[nr-1]
    main.announce("%s - %s" % (splitted[nr], ernst.mate(nr)))

main.register("symptoom", symptoom)

## DEFINES

class Ernst(Object):

    def mate(zelf, *args, **kwargs):
        if args: nr = args[0]
        else: nr = 1
        if nr in ernst.mild: return "mild"
        if nr in ernst.matig: return "matig"
        if nr in ernst.ernstig: return "ernstig"
        return "none"

ernst = Ernst()
ernst.mild = range(1,12)
ernst.matig = range(13, 31)
ernst.ernstig = range(32, 44)

txt = """ 

1) gedragsveranderingen (bijv., rusteloosheid, crankiness)
2) diarree
3) duizeligheid
4) slaperigheid
5) vermoeidheid
6) hoofdpijn
7) verlies van eetlust
8) kleine huid- of oogirritaties
9) misselijkheid of maagklachten
10) passen hoest (hoest die komt en gaat)
11) pijn of stijfheid in de gewrichten
12) dorst
13) wazig zicht
14) Verwarring en desoriëntatie
15) ademhalingsproblemen
16) kwijlen
17) overmatig tranen
18) koorts
19) lage bloeddruk (hypotensie)
20) verlies van spiercontrole en spiertrekkingen
21) bleekheid (bleekheid) of gespoeld of gelige huid
22) aanhoudende hoest
23) snelle hartslag
24) toevallen
25) ernstige diarree
26) ernstige misselijkheid
27) maagkrampen
28) zweten
29) dorst
30) bevend
31) zwakte
32) hartstilstand
33) krampen
34) diffuse intravasale stolling (mits ongecontroleerde bloeden of bloedstolling veroorzaakt)
35) oesofageale vernauwing (vernauwing van het orgaan dat voedsel uit de mond draagt naar de maag)
36) koorts (vaak hoog)
37) onvermogen om te ademen
38) versnelde ademhaling (snelle ademhaling)
39) verlies van bewustzijn
40) spiertrekkingen (ongecontroleerd en ernstige)
41) snelle hartslag met een lage bloeddruk
42) ademnood dat intubatie vereist (betreft het passeren van een buis naar beneden de luchtpijp [luchtpijp] om de longen te ademen bijstand te verlenen; mechanische beademing [dwz een ventilator] kan nodig zijn)
43) epileptische aanvallen die niet reageren op de behandeling (de zogenaamde status epilepticus)
44) dorst (vaak extreme)

"""

splitted = [t for t in txt.split("\n") if t]

def init():
    todo = Repeater(60, symptoom)
    main.put(todo.start)
